var obj = null; // window input/output

/* General startup routine for preferences dialog.
 *  Place all necessary modifications to pref tree here.
 */
function Startup()
{
    trace_onload();
    var name = document.getElementById("VarName");
    var value = document.getElementById("VarValue");
    // The following selects the default selection (see preftree.xul for the
    // ids of the treeitems to choose from) if an argument is passed in,
    // otherwise loads it from a preference.

    if (window.arguments && window.arguments[0] != null) {
        obj = window.arguments[0];
        name.setAttribute("value", obj.name);
        value.setAttribute("value", obj.value);
        if (obj.name == "") {
            name.select();
        } else {
            value.select();
        }
    }
    gTimeline.dumpObject(obj);
    obj.res = "cancel";  // default response

    setupButtonAccessKeys();
    SetWindowLocation();
}

function doUnLoad()
{
    SaveWindowLocation();
}

function doOk()
{
    try {
        dump('in doOk!\n');
        window.arguments[0].name = document.getElementById("VarName").value;
        window.arguments[0].value = document.getElementById("VarValue").value;
        if (obj.name == "") {
            alert("You must specify a variable name.");
            document.getElementById("VarName").focus();
            return false;
        }
        window.arguments[0].res = "ok";
        trace_onload();
        dump('returning true, and object\n');
        gTimeline.dumpObject(window.arguments[0]);
        return true;
    } catch (e) {
        dump(e);
        log.exception(e);
    }
    return true;
}

function doCancel()
{
    obj.res = "cancel";
    //window.arguments[0] = obj;
    return true;
}

function doBrowseForPath(add_path)
{
    var textField = document.getElementById("VarValue");
    var path = "";
    if (!add_path) {
        path = filepicker_getFolder(textField.value);
    } else {
        path = filepicker_getFolder();
    }
    if (path) {
        if (!add_path) {
            textField.value = path;
        } else {
            if (textField.value != "") {
                if (textField.value[textField.value.length-1]!=";") {
                    textField.value += ";";
                }
                textField.value += path+";";
            } else {
                textField.value = path;
            }
        }
    }
}
