/* Copyright (c) 2000-2001 ActiveState Corporation.
   See the file LICENSE.txt for licensing information. */

//---- globals
var dialog;
var log = getLoggingMgr().getLogger('prefs.tcl');

//---- functions

function PrefTcl_OnLoad()
{
    try {
        var tag = 'chrome://jaguar/content/pref/pref-tcl-debug.xul';
        dialog = {};

        var origWindow = windowManager_getMainWindow();
        var cwd = origWindow.View_GetCwd();
        parent.hPrefWindow.onpageload(tag);
        var instrumentlist = document.getElementById("tclInstrument");
        instrumentlist.init() // must happen after onpageload
        parent.hPrefWindow.registerOKCallbackFunc(PrefTcl_OkCallback, tag);
    } catch (e) {
        log.exception(e);
    }
}


function PrefTcl_OkCallback(prefset)
{
    var ok = true;

    return ok;
}

function loadTclLogpath()
{
    var tclLog = filepicker_getFolder();
    if (tclLog != null) {
        var textbox = document.getElementById("tcl_debuggerlogpath");
        textbox.value = tclLog;
    }
}
